%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wavpack
Version:        5.5.0
Release:        %mkrel 1
Summary:        Lossless Audio command-line tools for encode/decode
Group:          Sound/Utilities
License:        BSD
Url:            https://github.com/dbry/WavPack
Source0:        https://github.com/dbry/WavPack/releases/download/%{version}/%{name}-%{version}.tar.xz
#
# Security Patches
# P100 -> ...
#

BuildRequires:  pkgconfig(ncurses)

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{libname}
Summary:        Lossless Audio encode/decode library
Group:          System/Libraries

%description -n %{libname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{devname}
Summary:        Development files for the WavPack library
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{devname}
This package contains development header and library for WavPack.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
%ifarch armv5tl
    --disable-asm \
%endif
    --disable-static \
    --disable-dependency-tracking \
    --enable-maintainer-mode \
    --enable-man \
    --disable-rpath

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc README.md ChangeLog doc/wavpack_doc.html doc/style.css
%{_bindir}/wavpack
%{_bindir}/wvgain
%{_bindir}/wvtag
%{_bindir}/wvunpack
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%doc doc/WavPack5PortingGuide.pdf doc/WavPack5LibraryDoc.pdf doc/WavPack5FileFormat.pdf
%doc %_docdir/wavpack/WavPack5FileFormat.pdf
%doc %_docdir/wavpack/WavPack5LibraryDoc.pdf
%doc %_docdir/wavpack/WavPack5PortingGuide.pdf
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Aug 08 2022 neoclust <neoclust> 5.5.0-1.mga8
+ Revision: 1876232
- New version: Fixes CVE-2022-2476 (mga#30713)
+ ns80 <ns80>
- add upstream patch for CVE-2021-44269 (mga#30215)

* Wed Jan 13 2021 neoclust <neoclust> 5.3.2-2.mga8
+ Revision: 1671606
- Add P100-P101 Fixes CVE-2020-35738 (mga#28085)

* Wed Nov 18 2020 luigiwalser <luigiwalser> 5.3.2-1.mga8
+ Revision: 1647325
- 5.3.2
- update URL

* Sun Apr 19 2020 daviddavid <daviddavid> 5.3.0-1.mga8
+ Revision: 1569571
- new version: 5.3.0

* Wed Feb 19 2020 umeabot <umeabot> 5.2.0-2.mga8
+ Revision: 1543011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 09 2020 daviddavid <daviddavid> 5.2.0-1.mga8
+ Revision: 1477395
- new version: 5.2.0
- remove merged upstream patches

* Mon Aug 19 2019 daviddavid <daviddavid> 5.1.0-5.mga8
+ Revision: 1430127
- add debian patches to fix CVE-2019-101031[5789] (mga#25265)

* Sat May 18 2019 daviddavid <daviddavid> 5.1.0-4.mga7
+ Revision: 1398237
- add fedora patches to fix CVE-2019-11498

* Mon Jan 21 2019 luigiwalser <luigiwalser> 5.1.0-3.mga7
+ Revision: 1358533
- add patches from fedora and upstream to fix several security issues (mga#22588)

* Sun Sep 23 2018 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1301655
- Mageia 7 Mass Rebuild

* Mon Mar 06 2017 akien <akien> 5.1.0-1.mga6
+ Revision: 1089120
- Version 5.1.0

* Fri May 06 2016 luigiwalser <luigiwalser> 4.80.0-1.mga6
+ Revision: 1010035
- 4.80.0

* Wed Mar 09 2016 pterjan <pterjan> 4.75.2-3.mga6
+ Revision: 988482
- Disable the use of armv7 asm on armv5

* Fri Feb 12 2016 umeabot <umeabot> 4.75.2-2.mga6
+ Revision: 959173
- Mageia 6 Mass Rebuild

* Sun Jan 03 2016 luigiwalser <luigiwalser> 4.75.2-1.mga6
+ Revision: 918874
- 4.75.2

* Wed Oct 15 2014 umeabot <umeabot> 4.70.0-3.mga5
+ Revision: 743941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.70.0-2.mga5
+ Revision: 690277
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 luigiwalser <luigiwalser> 4.70.0-1.mga5
+ Revision: 591399
- 4.70.0

* Fri Oct 18 2013 umeabot <umeabot> 4.60.1-4.mga4
+ Revision: 520070
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.60.1-3.mga3
+ Revision: 385644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 4.60.1-2.mga3
+ Revision: 305019
- update rpm group
- drop .la file

* Sat Jan 15 2011 mikala <mikala> 4.60.1-2.mga1
+ Revision: 18538
- Drop mdk macros
- Remove BuildRoot
- imported package wavpack


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 4.60.1-2mdv2011.0
+ Revision: 608151
- rebuild

* Mon Jan 04 2010 Emmanuel Andry <eandry@mandriva.org> 4.60.1-1mdv2010.1
+ Revision: 486263
- New version 4.60.1

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 4.60.0-1mdv2010.0
+ Revision: 451984
- new version
- fix source URL

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.50.1-2mdv2010.0
+ Revision: 427535
- rebuild

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 4.50.1-1mdv2009.0
+ Revision: 239311
- new version

* Fri Jun 27 2008 Götz Waschk <waschk@mandriva.org> 4.50.0-1mdv2009.0
+ Revision: 229473
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 4.41.0-2mdv2009.0
+ Revision: 225924
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Feb 20 2008 Frederik Himpe <fhimpe@mandriva.org> 4.41.0-1mdv2008.1
+ Revision: 173350
- New library policy devel name

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 4.41.0-1mdv2008.0
+ Revision: 29709
- new version


* Sat Dec 23 2006 Götz Waschk <waschk@mandriva.org> 4.40.0-1mdv2007.0
+ Revision: 101915
- new version
- new major

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 4.32-2mdv2007.1
+ Revision: 76182
- Import wavpack

* Tue Apr 25 2006 Götz Waschk <waschk@mandriva.org> 4.32-1mdk
- update file list
- New release 4.32

* Thu Nov 17 2005 Götz Waschk <waschk@mandriva.org> 4.3-1mdk
- New release 4.3

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 4.2-2mdk
- fix buildrequires

* Tue Jun 28 2005 Götz Waschk <waschk@mandriva.org> 4.2-1mdk
- initial package

